#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    string s; cin >> s;
    int a, b; cin >> a >> b;
    if (abs(a - b) > 1) {
        cout << "nemoguce" << endl;
        return 0;
    }
    if (a < b) {
        cout << s[1];
    }
    for (int i = 0; i < min(a, b); i++) {
        cout << s;
    }
    if (a > b) {
        cout << s[0];
    }
}